#ifndef SETTINGSUCL_H
#define SETTINGSUCL_H

#include "Settings.h"
#include "ucl++.h"

namespace SANC {

class SettingsUCL: public Settings {
public:
    SettingsUCL();
    ~SettingsUCL(){}
    void init();
    void print_diff();
    void print();
    bool get_b(string key);
    long get_l(string key);
    double get_d(string key);
    string get_s(string key);
    void set(string key, bool val);
    void set(string key, long val);
    void set(string key, double val);
    void set(string pair);
    void validate();
private:
    ucl_object_t *user_obj,*schema_obj,*merged_obj;
};

}
#endif // SETTINGSUCL_H
