      subroutine nc_ha_12_12__02_04(s,spr,ph4,costh4,costh5,hard)
      implicit none!
      include 's2n_declare.h'
      real*8 Pair,MandelstamS
      complex*16 Exp_IArgAA,Exp_IArgBB,SpAA,SpBB,DLL2_3,DRR2_3,DRL2_3,DRL3_2
      integer*4 h1,h2,h3,h4,h5,j1,j2,i
      real*8 eta4,eta5
      real*8 sqs,sqspr
      real*8 ph4,cosph4,sinph4,costh4,sinth4,costh5,sinth5,ph5,cosph5,sinph5
      complex*16  hel_amp(2,2,3,2),cc1(2,2),cc2(2,2)
      real*8 amp2(2,2,3,2),hard2(2,2)
      real*8 betai,beta34,gamma34
      real*8 enf3,enf4,pf3,pf4,mf3,mf4
      real*8 betaselel,betasprmomo
      real*8 p3r1(5),p4r1(5),p3r2(5),p4r2(5)
      real*8 cw,sw,csc2w,tanw
      real*8 eQ2,eQ3,eL2,eL3,eR2,eR3,el, ME , MHiggs, MZ0

      complex*16 amp(2, 2, 3, 2);
      integer*4 a, b, o;
      real*8 sqrt2;
      real*8 ME2, MHiggs2, MZ02;
      real*8 inv_CW, inv_SW;
      real*8 p1(5), p2(5), p3(5), p4(5), p5(5);
      real*8 p34(5);
      real*8 k5(5), k1(5), k2(5), k3(5), k4(5);
      real*8 S__k5_k1, S__k5_k2, S__k5_k3, S__k5_k4, S__k3_k4;
      real*8 inv_S__k5_k1, inv_S__k5_k2, inv_S__k5_k3, inv_S__k5_k4;
      complex*16 Den__p34_MZ;
      complex*16 A51A, A52A, A54A, A12A, A14A, A24A, B15B, B25B, B21B, B45B,
     & B41B, B42B;
      complex*16 A1254A, SpAA__k1_k52_k4_k5, SpAA__k1_k52_k4_k1, A2154A,
     & SpAA__k2_k51_k4_k5, SpAA__k2_k51_k4_k2, A512B, A521B, A541B, A542B, A125B,
     & A145B, SpAB__k1_k52_k4, A215B, A245B, SpAB__k2_k51_k4, SpAB__k4_k51_k2, SpAB__k4_k52_k1,
     & B154A, B254A, B451A, B452A, SpBB__k5_k4_k51_k2, SpBB__k5_k4_k52_k1, SpBB__k1_k4_k52_k1,
     & SpBB__k2_k4_k51_k2, B4512B, B4521B;
      complex*16 inv_A51A, inv_A52A, inv_A54A, inv_B154A, inv_B254A, inv_B451A,
     & inv_B452A, inv_B15B, inv_B25B, inv_B45B;

      real*8 pg1(5),pg2(5),pg3(5),pg4(5),pg5(5)
      common/momenta/pg1,pg2,pg3,pg4,pg5

#ifndef GENERATOR
      real*8 mp(5)

      mp = (/mel, mel, mz, mh, 0d0/)
      ! toMomenta for cos(theta) & toMomenta1 for rapidity
      call toMomenta1(s,spr,ph4,costh4,costh5,mp)
#endif

      cw = mw/mz
      sw = sqrt(1d0-cw**2)
      csc2w = 1d0/(2d0*sw*cw)
      tanw=sw/cw
      el = dsqrt(4d0*pi/alphai)
      eQ2= -1d0
      eQ3= -1d0
      eR2 = -eQ2*tanw
      eR3 = -eQ3*tanw
      eL2 = -csc2w+eR2
      eL3 = -csc2w+eR3
      sqs = dsqrt(s)
      sqspr = dsqrt(spr)
      ME = mel
      MHiggs = mh
      MZ0 = mz
      EL = el
      mf3 = mz
      mf4 = mh
      pf3 = dsqrt((spr-(mf3+mf4)**2)*(spr-(mf3-mf4)**2))/2d0/sqspr
      betai = dsqrt(1d0-4d0*ME**2/s)
c-----------------------------------------------------------------------
c--- p(1) = px, p(2) = py, p(3) = pz, p(4) = e, p(5) = m ---------------
c-----------------------------------------------------------------------
c-----------------------------------------------------------------------
c... 4-momenta of particles in the laboratory reference frame
c... initial electron 4-momentum components:
      p1 = pg1
c... initial positron  4-momentum components:
      p2 = pg2
c... final Z 4-momentum components:
      p3 = pg3
c... final H 4-momentum components:
      p4 = pg4
c... final photon 4-momentum components:
      p5 = pg5
c-----------------------------------------------------------------------
      do i = 1,4
        p3(i) = -p3(i)
        p4(i) = -p4(i)
        p5(i) = -p5(i)
      enddo

      call S_CC(p1,p5,-1d0,cc1)
      call S_CC(p2,p5,-1d0,cc2)

! nilify
      do h1=1,2
        do h2=1,2
          hard2(h1,h2) = 0d0
          do h3 =1,3
            do h4 = 1,2
              hel_amp(h1,h2,h3,h4) = 0d0
              amp(h1,h2,h3,h4) = 0d0
            enddo
          enddo
        enddo
      enddo

      a = 1;
      b = 2;
      o = 3;
      sqrt2 = SQRT(2.D0);
      ME2 = ME**2;
      MHiggs2 = MHiggs**2;
      MZ02 = MZ0**2;
      inv_CW = 1.D0 / CW;
      inv_SW = 1.D0 / SW;
      p34 = p3 + p4;
      call S_Assoc1(p5, k5);
      call S_Assoc(p1, p5, k1);
      call S_Assoc(p2, p5, k2);
      call S_Assoc(p4, p5, k3);
      call S_Assoc(p3, p5, k4);
      S__k5_k1 = MandelstamS(k1, k5);
      S__k5_k2 = MandelstamS(k2, k5);
      S__k5_k3 = MandelstamS(k3, k5);
      S__k5_k4 = MandelstamS(k4, k5);
      S__k3_k4 = MandelstamS(k3, k4);
      inv_S__k5_k1 = 1.D0 / S__k5_k1;
      inv_S__k5_k2 = 1.D0 / S__k5_k2;
      inv_S__k5_k3 = 1.D0 / S__k5_k3;
      inv_S__k5_k4 = 1.D0 / S__k5_k4;
      Den__p34_MZ = 1D0/cmplx(MHiggs2 + S__k3_k4 + inv_S__k5_k3*MHiggs2*S__k5_k4 +
     & inv_S__k5_k4*MZ02*S__k5_k3,wz*mz);
      A51A = SpAA(k5, k1);
      A52A = SpAA(k5, k2);
      A54A = SpAA(k5, k4);
      A12A = SpAA(k1, k2);
      A14A = SpAA(k1, k4);
      A24A = SpAA(k2, k4);
      B15B = SpBB(k1, k5);
      B25B = SpBB(k2, k5);
      B21B = SpBB(k2, k1);
      B45B = SpBB(k4, k5);
      B41B = SpBB(k4, k1);
      B42B = SpBB(k4, k2);
      A1254A = A12A*A54A*B25B;
      SpAA__k1_k52_k4_k5 = A54A*(-A51A*B45B + A12A*B42B);
      SpAA__k1_k52_k4_k1 = A14A*(-A51A*B45B + A12A*B42B);
      A2154A = -A12A*A54A*B15B;
      SpAA__k2_k51_k4_k5 = -A54A*(A12A*B41B + A52A*B45B);
      SpAA__k2_k51_k4_k2 = -A24A*(A12A*B41B + A52A*B45B);
      A512B = -A51A*B21B;
      A521B = A52A*B21B;
      A541B = A54A*B41B;
      A542B = A54A*B42B;
      A125B = A12A*B25B;
      A145B = A14A*B45B;
      SpAB__k1_k52_k4 = -A12A*B42B + A51A*B45B;
      A215B = -A12A*B15B;
      A245B = A24A*B45B;
      SpAB__k2_k51_k4 = A12A*B41B + A52A*B45B;
      SpAB__k4_k51_k2 = A14A*B21B + A54A*B25B;
      SpAB__k4_k52_k1 = -A24A*B21B + A54A*B15B;
      B154A = A54A*B15B;
      B254A = A54A*B25B;
      B451A = A51A*B45B;
      B452A = A52A*B45B;
      SpBB__k5_k4_k51_k2 = -B45B*(A14A*B21B + A54A*B25B);
      SpBB__k5_k4_k52_k1 = B45B*(-A54A*B15B + A24A*B21B);
      SpBB__k1_k4_k52_k1 = B41B*(-A54A*B15B + A24A*B21B);
      SpBB__k2_k4_k51_k2 = -B42B*(A14A*B21B + A54A*B25B);
      B4512B = -A51A*B21B*B45B;
      B4521B = A52A*B21B*B45B;
      inv_A51A = 1.D0 / A51A;
      inv_A52A = 1.D0 / A52A;
      inv_A54A = 1.D0 / A54A;
      inv_B154A = 1.D0 / B154A;
      inv_B254A = 1.D0 / B254A;
      inv_B451A = 1.D0 / B451A;
      inv_B452A = 1.D0 / B452A;
      inv_B15B = 1.D0 / B15B;
      inv_B25B = 1.D0 / B25B;
      inv_B45B = 1.D0 / B45B;
      amp(b, b, a, b) = -2d0*EL*ME*MZ0*eQ2*Den__p34_MZ*inv_CW*inv_SW*(-eL2*inv_A51A**2*A1254A*inv_B452A
     & + eR2*inv_A52A**2*A2154A*inv_B451A);
      amp(b, b, a, a) = -2d0*EL*ME*MZ0*eQ2*A54A*B21B*Den__p34_MZ*inv_B45B*inv_CW*inv_SW*(eL2*inv_S__k5_k1
     & + eR2*inv_S__k5_k2);
      amp(b, a, b, b) = -2d0*EL*MZ0*eQ2*eR2*Den__p34_MZ*inv_A51A*inv_A54A*inv_CW*inv_SW*SpAB__k2_k51_k4;
      amp(b, a, b, a) = 2d0*EL*MZ0*eQ2*eR2*A521B*B41B*Den__p34_MZ*inv_B154A*inv_B25B*inv_CW*inv_SW;
      amp(b, a, a, b) = -2d0*EL*MZ0*eQ2*eR2*A215B*A24A*Den__p34_MZ*inv_A52A*inv_B451A*inv_CW*inv_SW;
      amp(b, a, a, a) = 2d0*EL*MZ0*eQ2*eR2*Den__p34_MZ*inv_B25B*inv_B45B*inv_CW*inv_SW*SpAB__k4_k52_k1;
      amp(a, b, b, b) = -2d0*EL*MZ0*eL2*eQ2*Den__p34_MZ*inv_A52A*inv_A54A*inv_CW*inv_SW*SpAB__k1_k52_k4;
      amp(a, b, b, a) = 2d0*EL*MZ0*eL2*eQ2*A512B*B42B*Den__p34_MZ*inv_B154A*inv_B25B*inv_CW*inv_SW;
      amp(a, b, a, b) = -2d0*EL*MZ0*eL2*eQ2*A125B*A14A*Den__p34_MZ*inv_A52A*inv_B451A*inv_CW*inv_SW;
      amp(a, b, a, a) = 2d0*EL*MZ0*eL2*eQ2*Den__p34_MZ*inv_B15B*inv_B45B*inv_CW*inv_SW*SpAB__k4_k51_k2;
      amp(a, a, b, b) = -2d0*EL*ME*MZ0*eQ2*A12A*B45B*Den__p34_MZ*inv_A54A*inv_CW*inv_SW*(eL2*inv_S__k5_k2
     & + eR2*inv_S__k5_k1);
      amp(a, a, b, a) = 2d0*EL*ME*MZ0*eQ2*Den__p34_MZ*inv_CW*inv_SW*(-eL2*inv_B25B**2*B4512B*inv_B154A
     & + eR2*inv_B15B**2*B4521B*inv_B254A);
      amp(b, b, o, b) = EL*ME*eQ2*Den__p34_MZ*inv_A51A*inv_A52A*inv_CW*inv_SW*sqrt2*(-eL2*inv_A51A*SpAA__k1_k52_k4_k5
     & + eR2*inv_A52A*SpAA__k2_k51_k4_k5);
      amp(b, b, o, a) = EL*ME*eQ2*B21B*Den__p34_MZ*inv_CW*inv_SW*sqrt2*(eL2*A542B*inv_B25B*inv_S__k5_k1
     & + eR2*A541B*inv_B15B*inv_S__k5_k2);
      amp(b, a, o, b) = -EL*eQ2*Den__p34_MZ*inv_A51A*inv_CW*inv_SW*sqrt2*(-eL2*A12A*inv_A51A*inv_S__k5_k2*ME2*S__k5_k4
     & + eR2*(-inv_A52A*SpAA__k2_k51_k4_k2 + A215B*inv_S__k5_k4*MZ02));
      amp(b, a, o, a) = -EL*eQ2*Den__p34_MZ*inv_B25B*inv_CW*inv_SW*sqrt2*(eR2*(-inv_B15B*SpBB__k1_k4_k52_k1
     & + A521B*inv_S__k5_k4*MZ02) + eL2*B21B*inv_B25B*inv_S__k5_k1*ME2*S__k5_k4);
      amp(a, b, o, b) = EL*eQ2*Den__p34_MZ*inv_A52A*inv_CW*inv_SW*sqrt2*(-eR2*A12A*inv_A52A*inv_S__k5_k1*ME2*S__k5_k4
     & + eL2*(-A125B*inv_S__k5_k4*MZ02 + inv_A51A*SpAA__k1_k52_k4_k1));
      amp(a, b, o, a) = EL*eQ2*Den__p34_MZ*inv_B15B*inv_CW*inv_SW*sqrt2*(eL2*(-A512B*inv_S__k5_k4*MZ02
     & + inv_B25B*SpBB__k2_k4_k51_k2) + eR2*B21B*inv_B15B*inv_S__k5_k2*ME2*S__k5_k4);
      amp(a, a, o, b) = -EL*ME*eQ2*A12A*Den__p34_MZ*inv_CW*inv_SW*sqrt2*(eL2*A145B*inv_A51A*inv_S__k5_k2
     & + eR2*A245B*inv_A52A*inv_S__k5_k1);
      amp(a, a, o, a) = -EL*ME*eQ2*Den__p34_MZ*inv_B15B*inv_B25B*inv_CW*inv_SW*sqrt2*(-eR2*inv_B15B*SpBB__k5_k4_k52_k1
     & + eL2*inv_B25B*SpBB__k5_k4_k51_k2);

! phase space volume
      volum = 1d0/2d0**10/pi**4*(s-spr)*pf3/betai/s**2/sqspr*conhc

      do h1=1,2
        do h2=1,2
          do h3=1,3
            do h4=1,2
                do j1 = 1,2
                  do j2 = 1,2
                    hel_amp(h1,h2,h3,h4)=hel_amp(h1,h2,h3,h4)
     &              +cc1(j1,h1)*cc2(j2,h2)*amp(j1,j2,h3,h4)
                  enddo
                enddo
                amp2(h1,h2,h3,h4) = zabs(hel_amp(h1,h2,h3,h4))**2
                hard2(h1,h2) = hard2(h1,h2) + amp2(h1,h2,h3,h4)
              enddo
            enddo
        enddo
      enddo

      if (alr.eq.0) then
          hard =
     &       (1d0+lamep)*(1d0+lamem)*hard2(1,1)
     &      +(1d0+lamep)*(1d0-lamem)*hard2(1,2)
     &      +(1d0-lamep)*(1d0+lamem)*hard2(2,1)
     &      +(1d0-lamep)*(1d0-lamem)*hard2(2,2)
      elseif (alr.eq.1) then
         hard =  4d0*(hard2(1,2)-hard2(2,1))
      elseif (alr.eq.2) then
         hard =  4d0*(hard2(1,2)+hard2(2,1))
      elseif (alr.eq.3) then
         hard = 2d0*(hard2(1,2)+hard2(2,2)-hard2(1,1)-hard2(2,1))
      elseif (alr.eq.4) then
         hard = 2d0*(hard2(1,2)+hard2(2,2)+hard2(1,1)+hard2(2,1))
      endif

      hard = hard/4d0*volum*el**4
      hard = hard*cfprime

      if (hard.ne.hard) then
        print *,s,spr,ph4,costh4,costh5
      endif
      return
      end
